### Virtual Method

# Vips Target seek

#### Declaration [src]

    gint64
    seek (
      VipsTarget* target,
      gint64 offset,
      int whence
    )

#### Description [src]

Seek the target. This behaves exactly as `lseek()`.

Seeking a target sounds weird, but libtiff needs this. This method will fail for targets like pipes.

#### Parameters

`offset`

  Type: `gint64`

  Offset to seek to.

`whence`

  Type: `int`

  Seek relative to beginning, offset, or end.

#### Return value

Type: `gint64`

The new offset, -1 on error.